<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <head>
            	<title>WMS Services</title>
                <xsl:comment>
                    Created by http://geographika.co.uk
                </xsl:comment>
                <xsl:comment>
                    January, 2010
                </xsl:comment>
				<link rel="stylesheet" type="text/css" href="GetCapabilities.css" />
            </head>
            <body>
                <table>
                    <caption>
                        Map Metadata
                    </caption>
                    <thead>
                        <tr>
                            <th scope="col">
                                Name
                            </th>
                            <th scope="col">
                                Title
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                Online Resource
                            </td>
                            <td>
                                <xsl:value-of select="WMT_MS_Capabilities/Service/OnlineResource"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Name
                            </td>
                            <td>
                                <xsl:value-of select="WMT_MS_Capabilities/Service/Name"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Title
                            </td>
                            <td>
                                <xsl:value-of select="WMT_MS_Capabilities/Service/Title"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Abstract
                            </td>
                            <td>
                                <xsl:value-of select="WMT_MS_Capabilities/Service/Abstract"/>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table>
                    <caption>
                        Available WMS Services
                    </caption>
                    <thead>
                        <tr>
                            <th scope="col">
                                Name
                            </th>
                            <th scope="col">
                                Title
                            </th>
                            <th scope="col">
                                SRS
                            </th>
                            <th scope="col">
                                Legend
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <xsl:variable name="baseURL">
                            <xsl:value-of select="WMT_MS_Capabilities/Service/OnlineResource"/>
                        </xsl:variable>
                        <xsl:for-each select="WMT_MS_Capabilities/Capability/Layer/Layer">
                            <tr>
                                <xsl:attribute name="class">
                                    <xsl:choose>
                                        <xsl:when test="position() mod 2 = 1">
                                            odd
                                        </xsl:when>
                                        <xsl:when test="position() mod 2 = 0">
                                            even
                                        </xsl:when>
                                    </xsl:choose>
                                </xsl:attribute>
                                <td>
                                    <xsl:value-of select="Name"/>
                                </td>
                                <td>
                                    <xsl:value-of select="Title"/>
                                </td>
                                <td>
                                    <xsl:value-of select="SRS"/>
                                </td>
                                <td>
                                    <img>
                                        <xsl:attribute name="src">
                                            <xsl:copy-of select="$baseURL"/>LAYER=<xsl:value-of select="Name"/>&amp;SERVICE=WMS&amp;VERSION=1.1.1&amp;REQUEST=getlegendgraphic&amp;FORMAT=image/png
                                        </xsl:attribute>
                                    </img>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </tbody>
                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
